Package org.h2.test.bench

# Interface Bench

All Known Implementing Classes:
  `BenchA`, `BenchB`, `BenchC`, `BenchSimple`

public interface Bench
The interface for benchmark tests.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name of the test.
`void`
`init(org.h2.test.bench.Database db, int size)`
Initialize the database.
`void`
`runTest()`
Run the test.

## Method Details

### init

void init(org.h2.test.bench.Database db, int size) throws SQLException
Initialize the database. This includes creating tables and inserting data.

Parameters:
  `db` - the database object
  `size` - the amount of data
Throws:
  `SQLException`

### runTest

void runTest() throws Exception
Run the test.

Throws:
  `Exception`

### getName

String getName()
Get the name of the test.

Returns:
  the test name